Market
curl --request GET \
--url https://codex-api.nomos.trade/v1/markets/{conditionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://codex-api.nomos.trade/v1/markets/{conditionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://codex-api.nomos.trade/v1/markets/{conditionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"block": 94812402,
"market": {
"conditionId": "0x5c1d0f1e2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d6e7f8091a2b3c4d5",
"question": "Bitcoin Up or Down - October 4, 1:00AM-1:05AM ET",
"slug": "btc-updown-5m-1790572800",
"eventSlug": "btc-updown-5m-1790572800",
"eventTitle": "Bitcoin Up or Down - October 4, 1:00AM-1:05AM ET",
"image": null,
"category": "Crypto",
"outcomes": [
"Up",
"Down"
],
"tokenIds": [
"21742633143463906290569050155826241533067272736897614950488156847949938836455",
"48331043336612883890938759509493159234755048973500640148014422747788308965732"
],
"negRisk": false,
"negRiskMarketId": null,
"endDate": 1790573100,
"closedTime": 1790573162,
"resolution": {
"payouts": [
1,
0
],
"winningOutcome": 0,
"resolvedAt": 1790573190,
"block": 94683341
},
"round": {
"asset": "btc",
"timeframe": "5m",
"start": 1790572800,
"end": 1790573100,
"state": "settled",
"strike": 121804.37,
"close": 121822.05,
"priceToBeat": 121804.37,
"finalPrice": 121822.05
}
}
}{
"error": "unknown or revoked API key"
}{
"error": "market not listed (only markets Gamma lists are)"
}{
"error": "rate limit: 600 requests a minute; retry in 1 s"
}Markets
Market
One market, as Markets lists it.
GET
/
v1
/
markets
/
{conditionId}
Market
curl --request GET \
--url https://codex-api.nomos.trade/v1/markets/{conditionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://codex-api.nomos.trade/v1/markets/{conditionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://codex-api.nomos.trade/v1/markets/{conditionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"block": 94812402,
"market": {
"conditionId": "0x5c1d0f1e2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d6e7f8091a2b3c4d5",
"question": "Bitcoin Up or Down - October 4, 1:00AM-1:05AM ET",
"slug": "btc-updown-5m-1790572800",
"eventSlug": "btc-updown-5m-1790572800",
"eventTitle": "Bitcoin Up or Down - October 4, 1:00AM-1:05AM ET",
"image": null,
"category": "Crypto",
"outcomes": [
"Up",
"Down"
],
"tokenIds": [
"21742633143463906290569050155826241533067272736897614950488156847949938836455",
"48331043336612883890938759509493159234755048973500640148014422747788308965732"
],
"negRisk": false,
"negRiskMarketId": null,
"endDate": 1790573100,
"closedTime": 1790573162,
"resolution": {
"payouts": [
1,
0
],
"winningOutcome": 0,
"resolvedAt": 1790573190,
"block": 94683341
},
"round": {
"asset": "btc",
"timeframe": "5m",
"start": 1790572800,
"end": 1790573100,
"state": "settled",
"strike": 121804.37,
"close": 121822.05,
"priceToBeat": 121804.37,
"finalPrice": 121822.05
}
}
}{
"error": "unknown or revoked API key"
}{
"error": "market not listed (only markets Gamma lists are)"
}{
"error": "rate limit: 600 requests a minute; retry in 1 s"
}Authorizations
Your API key: codex_ and 48 hex characters.
Path Parameters
The market: 0x and 64 hex.
Pattern:
^0x[0-9a-fA-F]{64}$